## calculix-cgx 2.11+dfsg

=== cgx_2.11/src/Makefile ===
CFLAGS = -O3 -Wall \
  -I./ \
  -I/usr/include \
  -I/usr/include/GL \
  -I../../libSNL/src \
  -I../../glut-3.5/src \
  -I/usr/X11/include 

LFLAGS = \
  -L/usr/lib64 -lGL -lGLU \
  -L/usr/X11R6/lib64 -lX11 -lXi -lXmu -lXext -lXt -lSM -lICE \
  -lm -lpthread -lrt


# on 32bit systems change lib64 to lib
# -lpthread is needed if mesaGL is using threading, otherwhise it is not needed
# -L/usr/X11/lib64 -lpthread -lX11 -lXext -lXi -lXmu -lXt -lSM -lICE \

include Makefile.inc

ULIB = \
 userFunction.c

SUTIL = \
 ../../glut-3.5/src/layerutil.c \
 ../../glut-3.5/src/glut_dials.c \
 ../../glut-3.5/src/glut_ext.c \
 ../../glut-3.5/src/glut_mesa.c \
 ../../glut-3.5/src/glut_menu.c \
 ../../glut-3.5/src/glut_modifier.c \
 ../../glut-3.5/src/glut_space.c \
 ../../glut-3.5/src/glut_shapes.c \
 ../../glut-3.5/src/glut_tablet.c \
 ../../glut-3.5/src/glut_warp.c \
 ../../glut-3.5/src/glut_8x13.c \
 ../../glut-3.5/src/glut_9x15.c \
 ../../glut-3.5/src/glut_hel10.c \
 ../../glut-3.5/src/glut_hel18.c \
 ../../glut-3.5/src/glut_hel12.c \
 ../../glut-3.5/src/glut_tr10.c \
 ../../glut-3.5/src/glut_tr24.c \
 ../../glut-3.5/src/glut_bitmap.c \
 ../../glut-3.5/src/glut_cursor.c \
 ../../glut-3.5/src/glut_event.c \
 ../../glut-3.5/src/glut_get.c \
 ../../glut-3.5/src/glut_overlay.c \
 ../../glut-3.5/src/glut_input.c \
 ../../glut-3.5/src/glut_stroke.c \
 ../../glut-3.5/src/glut_teapot.c \
 ../../glut-3.5/src/glut_winmisc.c \
 ../../glut-3.5/src/glut_fullscrn.c \
 ../../glut-3.5/src/glut_cindex.c \
 ../../glut-3.5/src/glut_roman.c \
 ../../glut-3.5/src/glut_mroman.c \
 ../../glut-3.5/src/glut_swidth.c \
 ../../glut-3.5/src/glut_bwidth.c \
 ../../glut-3.5/src/glut_win.c \
 ../../glut-3.5/src/glut_init.c \
 ../../glut-3.5/src/glut_util.c \
 uselibSNL.cpp \
 generateTet.cpp \
 ../../libSNL/src/*.cpp

OLIB = $(SLIB:.c=.o)
OULIB = $(ULIB:.c=.o)
OUTIL = $(SUTIL:.c=.o)

cgx: $(OLIB) $(OUTIL) $(OULIB)
	g++  $(OULIB)  $(OLIB) $(OUTIL)  $(CFLAGS) $(LFLAGS) -o  $@

## calculix-cgx 2.10.1+dfsg

=== debian/changelog ===
calculix-cgx (2.10.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #783479)

 -- Wolfgang Fütterer <debian@wlf-online.de>  Wed, 16 Mar 2016 12:24:22 +0100

=== debian/control ===
Source: calculix-cgx
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Wolfgang Fütterer <debian@wlf-online.de>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               freeglut3-dev,
               libglu1-mesa-dev,
               libgl1-mesa-glx,
               libxmu-dev,
               libxi-dev,
               libsm-dev,
               libice-dev,
               libsnl-dev
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/calculix-cgx.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/calculix-cgx.git
Homepage: http://www.calculix.de

Package: calculix-cgx
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: netgen
Description: Calculix cgx is a 3-dimensional pre- and post-processor for fem
 CalculiX GraphiX (cgx) is a  3-dimensional pre- and post-processor for
 finite elemnts. CalculiX CrunchiX Finite Element Models can be build, 
 calculated and post-processed. The pre- and post-processor is an 
 interactive 3D-tool using the openGL API.
 .
 In addition to the Calculix CrunchiX results files (frd) results from 
 OpenFoam, Duns (2D and 3D), Isaac (2D and 3D) and Nastran (f06) can 
 be read. For preprocessing Netgen nativ format, STEP and STL can be 
 imported.

Package: calculix-cgx-examples
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Example files for Calculix GraphiX
 CalculiX GraphiX (cgx) is a  3-dimensional pre- and post-processor for
 finite elemnts. CalculiX CrunchiX Finite Element Models can be build, 
 calculated and post-processed. The pre- and post-processor is an 
 interactive 3D-tool using the openGL API.
 .
 In addition to the Calculix CrunchiX results files (frd) results from 
 OpenFoam, Duns (2D and 3D), Isaac (2D and 3D) and Nastran (f06) can 
 be read. For preprocessing Netgen nativ format, STEP and STL can be 
 imported.
 .
 This package contains the examples.

=== debian/rules ===
#!/usr/bin/make -f
CGX_VERSION=2.10
CGX_SRC=cgx_${CGX_VERSION}/src
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

UPSTREAM_CFLAGS="-I\."

%:
	dh $@ -D${CGX_SRC}

override_dh_auto_build:
	dh_auto_build -- CFLAGS+="-Wl,-z,relro $(UPSTREAM_CFLAGS)"

override_dh_installchangelogs:
	dh_installchangelogs -k cgx_2.10/CHANGES

## calculix-cgx 2.11+dfsg

=== debian/changelog ===
calculix-cgx (2.11+dfsg-1) unstable; urgency=medium

  * [b5c99a3] Imported Upstream version 2.11+dfsg
  * [8ab74ee] Fixed an issue compiling with gcc6 (Closes: #831136)
  * [ff659a9] Build package using old C++ standard (c++98)
  * [c9a8ed4] Update standards version

 -- Wolfgang Fütterer <debian@wlf-online.de>  Tue, 09 Aug 2016 14:58:38 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libsm-dev,
                libice-dev,
                libsnl-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/calculix-cgx.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/calculix-cgx.git
 Homepage: http://www.calculix.de

=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,\
dversionmangle=s/(\d.*)\.dfsg.*/$1/ \
  http://www.dhondt.de/cgx_(\d.*)\.all\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## calculix-cgx 2.17%2Bdfsg

=== debian/changelog ===
calculix-cgx (2.17+dfsg-2) unstable; urgency=medium

  * [c122e35] Remove unneeded sys calls from cgx autopkgtest script (Closes:
    #968184)
  * [eabd859] Drop patch explicitly setting std=gnu++98
  * [9da2645] Add cross-building patch (Closes: #911041)

 -- Kurt Kremitzki <kkremitzki@debian.org>  Mon, 10 Aug 2020 17:32:48 -0500

calculix-cgx (2.17+dfsg-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Remove unnecessary 'Testsuite: autopkgtest' header.
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Kurt Kremitzki ]
  * [f9e9564] Bump to debhelper compat 13
  * [14813d0] Don't clean example .bak files on build
  * [f83019a] Use GCC 10 -fallow-argument-mismatch flag
  * [d160cd9] Update d/rules
  * [4687000] Update d/copyright
  * [98b4710] Refresh patches
  * [7be1fe8] Update packaging for 2.17
  * [7adc87e] Add myself to Uploaders
  * [97bfb08] Update to Standards-Version 4.5.0
  * [027a609] Update Vcs-Git to Salsa
  * [e63c3fe] Add hardening=+all flag
  * [369f4ec] Update Files-Excluded
  * [658a435] New upstream version 2.17+dfsg
  * [14ead14] Add shebangs to OpenFOAM example

 -- Kurt Kremitzki <kkremitzki@debian.org>  Sat, 08 Aug 2020 17:13:49 -0500

## calculix-cgx 2.17+dfsg

=== cgx_2.17/src/Makefile ===
CFLAGS = -O2 -Wall -Wno-narrowing \
  -I./ \
  -I/usr/include \
  -I/usr/include/GL \
  -I../../libSNL/src \
  -I../../glut-3.5/src \
  -I/usr/X11/include 

LFLAGS = \
  -L/usr/lib64 -lGL -lGLU \
  -L/usr/X11R6/lib64 -lX11 -lXi -lXmu -lXext -lXt -lSM -lICE \
  -lm -lpthread -lrt


# on 32bit systems change lib64 to lib
# -lpthread is needed if mesaGL is using threading, otherwhise it is not needed
# -L/usr/X11/lib64 -lpthread -lX11 -lXext -lXi -lXmu -lXt -lSM -lICE \

include Makefile.inc

ULIB = \
 userFunction.c

SUTIL = \
 ../../glut-3.5/src/layerutil.c \
 ../../glut-3.5/src/glut_dials.c \
 ../../glut-3.5/src/glut_ext.c \
 ../../glut-3.5/src/glut_mesa.c \
 ../../glut-3.5/src/glut_menu.c \
 ../../glut-3.5/src/glut_modifier.c \
 ../../glut-3.5/src/glut_space.c \
 ../../glut-3.5/src/glut_shapes.c \
 ../../glut-3.5/src/glut_tablet.c \
 ../../glut-3.5/src/glut_warp.c \
 ../../glut-3.5/src/glut_8x13.c \
 ../../glut-3.5/src/glut_9x15.c \
 ../../glut-3.5/src/glut_hel10.c \
 ../../glut-3.5/src/glut_hel18.c \
 ../../glut-3.5/src/glut_hel12.c \
 ../../glut-3.5/src/glut_tr10.c \
 ../../glut-3.5/src/glut_tr24.c \
 ../../glut-3.5/src/glut_bitmap.c \
 ../../glut-3.5/src/glut_cursor.c \
 ../../glut-3.5/src/glut_event.c \
 ../../glut-3.5/src/glut_get.c \
 ../../glut-3.5/src/glut_overlay.c \
 ../../glut-3.5/src/glut_input.c \
 ../../glut-3.5/src/glut_stroke.c \
 ../../glut-3.5/src/glut_teapot.c \
 ../../glut-3.5/src/glut_winmisc.c \
 ../../glut-3.5/src/glut_fullscrn.c \
 ../../glut-3.5/src/glut_cindex.c \
 ../../glut-3.5/src/glut_roman.c \
 ../../glut-3.5/src/glut_mroman.c \
 ../../glut-3.5/src/glut_swidth.c \
 ../../glut-3.5/src/glut_bwidth.c \
 ../../glut-3.5/src/glut_win.c \
 ../../glut-3.5/src/glut_init.c \
 ../../glut-3.5/src/glut_util.c \
 uselibSNL.cpp \
 generateTet.cpp \
 ../../libSNL/src/*.cpp

OLIB = $(SLIB:.c=.o)
OULIB = $(ULIB:.c=.o)
OUTIL = $(SUTIL:.c=.o)

cgx: $(OLIB) $(OUTIL) $(OULIB)
	g++  $(OULIB)  $(OLIB) $(OUTIL)  $(CFLAGS) $(LFLAGS) -o  $@

=== debian/changelog ===
calculix-cgx (2.17+dfsg-2ubuntu1) mantic; urgency=medium

  * Build-depend on libgl1 instead of libgl1-mesa-glx. #1049440.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Sep 2023 11:05:35 +0200

calculix-cgx (2.17+dfsg-2build1) lunar; urgency=medium

  * No-change rebuild against freeglut3.12

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 28 Nov 2022 23:26:54 +0000

=== debian/control ===
Source: calculix-cgx
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Wolfgang Fütterer <debian@wlf-online.de>, Kurt Kremitzki <kkremitzki@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               freeglut3-dev,
               libglu1-mesa-dev,
               libgl1,
               libxmu-dev,
               libxi-dev,
               libsm-dev,
               libice-dev,
               libsnl-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/calculix-cgx
Vcs-Git: https://salsa.debian.org/science-team/calculix-cgx.git
Homepage: http://www.calculix.de

Package: calculix-cgx
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: netgen
Description: Calculix cgx is a 3-dimensional pre- and post-processor for fem
 CalculiX GraphiX (cgx) is a  3-dimensional pre- and post-processor for
 finite elemnts. CalculiX CrunchiX Finite Element Models can be build,
 calculated and post-processed. The pre- and post-processor is an
 interactive 3D-tool using the openGL API.
 .
 In addition to the Calculix CrunchiX results files (frd) results from
 OpenFoam, Duns (2D and 3D), Isaac (2D and 3D) and Nastran (f06) can
 be read. For preprocessing Netgen nativ format, STEP and STL can be
 imported.

Package: calculix-cgx-examples
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Example files for Calculix GraphiX
 CalculiX GraphiX (cgx) is a  3-dimensional pre- and post-processor for
 finite elemnts. CalculiX CrunchiX Finite Element Models can be build,
 calculated and post-processed. The pre- and post-processor is an
 interactive 3D-tool using the openGL API.
 .
 In addition to the Calculix CrunchiX results files (frd) results from
 OpenFoam, Duns (2D and 3D), Isaac (2D and 3D) and Nastran (f06) can
 be read. For preprocessing Netgen nativ format, STEP and STL can be
 imported.
 .
 This package contains the examples.

## calculix-cgx 2.21%2Bdfsg

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 repacksuffix=+dfsg,\
 dversionmangle=s/(\d.*)\.dfsg.*/$1/ \

## calculix-cgx 2.21+dfsg

=== cgx_2.21/src/Makefile ===
# on MacOS it might be necessary to remove -DSEMINIT
CFLAGS = -O2 -Wall -Wno-narrowing -DSEMINIT \
  -I./ \
  -I/usr/include \
  -I/usr/include/GL \
  -I../../libSNL/src \
  -I../../glut-3.5/src \
  -I/usr/X11/include 

LFLAGS = \
  -L/usr/lib64 -lGL -lGLU \
  -L/usr/X11R6/lib64 -lX11 -lXi -lXmu -lXext -lXt -lSM -lICE \
  -lm -lpthread -lrt


# on 32bit systems change lib64 to lib
# -lpthread is needed if mesaGL is using threading, otherwhise it is not needed
# -L/usr/X11/lib64 -lpthread -lX11 -lXext -lXi -lXmu -lXt -lSM -lICE \

include Makefile.inc

ULIB = \
 userFunction.c

SUTIL = \
 ../../glut-3.5/src/layerutil.c \
 ../../glut-3.5/src/glut_dials.c \
 ../../glut-3.5/src/glut_ext.c \
 ../../glut-3.5/src/glut_mesa.c \
 ../../glut-3.5/src/glut_menu.c \
 ../../glut-3.5/src/glut_modifier.c \
 ../../glut-3.5/src/glut_space.c \
 ../../glut-3.5/src/glut_shapes.c \
 ../../glut-3.5/src/glut_tablet.c \
 ../../glut-3.5/src/glut_warp.c \
 ../../glut-3.5/src/glut_8x13.c \
 ../../glut-3.5/src/glut_9x15.c \
 ../../glut-3.5/src/glut_hel10.c \
 ../../glut-3.5/src/glut_hel18.c \
 ../../glut-3.5/src/glut_hel12.c \
 ../../glut-3.5/src/glut_tr10.c \
 ../../glut-3.5/src/glut_tr24.c \
 ../../glut-3.5/src/glut_bitmap.c \
 ../../glut-3.5/src/glut_cursor.c \
 ../../glut-3.5/src/glut_event.c \
 ../../glut-3.5/src/glut_get.c \
 ../../glut-3.5/src/glut_overlay.c \
 ../../glut-3.5/src/glut_input.c \
 ../../glut-3.5/src/glut_stroke.c \
 ../../glut-3.5/src/glut_teapot.c \
 ../../glut-3.5/src/glut_winmisc.c \
 ../../glut-3.5/src/glut_fullscrn.c \
 ../../glut-3.5/src/glut_cindex.c \
 ../../glut-3.5/src/glut_roman.c \
 ../../glut-3.5/src/glut_mroman.c \
 ../../glut-3.5/src/glut_swidth.c \
 ../../glut-3.5/src/glut_bwidth.c \
 ../../glut-3.5/src/glut_win.c \
 ../../glut-3.5/src/glut_init.c \
 ../../glut-3.5/src/glut_util.c \
 uselibSNL.cpp \
 generateTet.cpp \
 ../../libSNL/src/*.cpp

OLIB = $(SLIB:.c=.o)
OULIB = $(ULIB:.c=.o)
OUTIL = $(SUTIL:.c=.o)

cgx: $(OLIB) $(OUTIL) $(OULIB)
	g++  $(OULIB)  $(OLIB) $(OUTIL)  $(CFLAGS) $(LFLAGS) -o  $@

=== debian/changelog ===
calculix-cgx (2.21+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS with gcc-15
  * Ignore template-body warning to fixup build (Closes: #1077425)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 23 Oct 2025 00:15:40 +0530

calculix-cgx (2.21+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Do not Build-Depend on transitional package libgl1-mesa-glx
    Closes: #1049440
  * Standards-Version: 4.6.2 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 22 Jan 2024 12:40:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: calculix-cgx
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Wolfgang Fütterer <debian@wlf-online.de>, Kurt Kremitzki <kkremitzki@debian.org>
 Section: science
 Priority: optional
@@ -13,7 +12,7 @@
                libsm-dev,
                libice-dev,
                libsnl-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/calculix-cgx
 Vcs-Git: https://salsa.debian.org/science-team/calculix-cgx.git
@@ -39,6 +38,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Example files for Calculix GraphiX
  CalculiX GraphiX (cgx) is a  3-dimensional pre- and post-processor for
  finite elemnts. CalculiX CrunchiX Finite Element Models can be build,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

CGX_SRC=cgx_$(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+dfsg//')

# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

UPSTREAM_CFLAGS="-I\."
UPSTREAM_FFLAGS="-fallow-argument-mismatch"
export CFLAGS += -Wno-error=template-body
export CXXFLAGS += -Wno-error=template-body

%:
	dh $@ -D$(CGX_SRC)/src

override_dh_clean:
	# CalculiX uses .bak as a control file extension
	dh_clean -X "*.bak"

override_dh_auto_build:
	dh_auto_build -- CFLAGS+="-Wl,-z,relro $(UPSTREAM_CFLAGS)" \
	    FFLAGS="$(UPSTREAM_FFLAGS)"

override_dh_installchangelogs:
	dh_installchangelogs -k $(CGX_SRC)/CHANGES

=== debian/tests/control ===
Tests: build1
Depends: calculix-cgx
